diff --git a/src/gui/res/lang/gui_pl-PL.ts b/src/gui/res/lang/gui_pl-PL.ts
index b8e6d3d9..57afd771 100644
--- a/src/gui/res/lang/gui_pl-PL.ts
+++ b/src/gui/res/lang/gui_pl-PL.ts
@@ -1030,113 +1169,128 @@ Kliknij dwukrotnie w ekran, aby edytować jego ustawienia.</translation>
 <context>
     <name>SetupWizard</name>
     <message>
-        <location filename="src/SetupWizard.cpp" line="64"/>
+        <location filename="src/SetupWizard.cpp" line="72"/>
         <source>Setup Synergy</source>
         <translation type="finished">Konfiguracja Synergy</translation>
     </message>
     <message>
-        <location filename="src/SetupWizard.cpp" line="74"/>
+        <location filename="src/SetupWizard.cpp" line="113"/>
         <source>Please select an option.</source>
         <translation type="finished">Proszę wybrać opcję,</translation>
     </message>
     <message>
-        <location filename="src/SetupWizard.cpp" line="84"/>
-        <source>Encryption mode required.</source>
-        <translation type="finished">Tryb szyfrowania wymagany.</translation>
-    </message>
-    <message>
-        <location filename="src/SetupWizard.cpp" line="93"/>
-        <source>Encryption password required.</source>
-        <translation type="finished">Hasło szyfrowania wymagane.</translation>
-    </message>
-    <message>
-        <location filename="src/SetupWizard.cpp" line="100"/>
-        <source>Encryption password and confirmation do not match.</source>
-        <translation type="finished">Hasło szyfrowania i jego potwierdzenie różnią się.</translation>
+        <location filename="src/SetupWizard.cpp" line="80"/>
+        <source>Please enter your email address and password.</source>
+        <translation type="finished">Proszę wprowadzić swój adres e-mail i hasło.</translation>
     </message>
 </context>
 <context>
     <name>SetupWizardBase</name>
     <message>
-        <location filename="res/SetupWizardBase.ui" line="20"/>
+        <location filename="res/SetupWizardBase.ui" line="26"/>
         <source>Setup Synergy</source>
         <translation type="finished">Konfiguracja Synergy</translation>
     </message>
     <message>
-        <location filename="res/SetupWizardBase.ui" line="24"/>
+        <location filename="res/SetupWizardBase.ui" line="30"/>
         <source>Welcome</source>
         <translation type="finished">Witaj!</translation>
     </message>
     <message>
-        <location filename="res/SetupWizardBase.ui" line="33"/>
+        <location filename="res/SetupWizardBase.ui" line="39"/>
         <source>Thanks for installing Synergy!</source>
         <translation type="finished">Dziękujemy za zainstalowanie Synergy!</translation>
     </message>
     <message>
-        <location filename="res/SetupWizardBase.ui" line="108"/>
+        <location filename="res/SetupWizardBase.ui" line="114"/>
         <source>Synergy lets you easily share your mouse and keyboard between multiple computers on your desk, and it's Free and Open Source. Just move your mouse off the edge of one computer's screen on to another. You can even share all of your clipboards. All you need is a network connection. Synergy is cross-platform (works on Windows, Mac OS X and Linux).</source>
         <translation type="finished">Synergy pozwala w łatwy sposób dzielić się myszką i klawiaturą pomiędzy wieloma komputerami na Twoim biurku, jest darmowe i Open Source. Wystarczy przesunąć kursor myszy poza krawędź jednego monitora aby przejść na monitor innego komputera.  Możesz nawet dzielić wszystkie swoje schowki. Potrzebujesz do tego tylko połączenia z siecią. Synergy jest wieloplatformowe (działa na Windows, Mac OS X i Linux).</translation>
     </message>
     <message>
         <location filename="res/SetupWizardBase.ui" line="125"/>
+        <source>Activate</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="131"/>
+        <source>&amp;Activate now...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="152"/>
+        <source>Email:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="178"/>
+        <source>Password:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="204"/>
+        <source>&lt;a href=&quot;https://synergy-project.org/account/reset/&quot;&gt;Forgot password&lt;/a&gt;</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="232"/>
+        <source>&amp;Skip activation</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="277"/>
+        <source>&amp;Server (share this computer's mouse and keyboard)</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="290"/>
+        <source>&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0//EN&quot; &quot;http://www.w3.org/TR/REC-html40/strict.dtd&quot;&gt;
+&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
+p, li { white-space: pre-wrap; }
+&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:'MS Shell Dlg 2'; font-size:8.25pt; font-weight:400; font-style:normal;&quot;&gt;
+&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-size:8pt;&quot;&gt;My main mouse and keyboard are connected to this computer. This will allow you to move your mouse over to another computer's screen. There can only be one server in your setup.&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="326"/>
+        <source>&amp;Client (use another computer's mouse and keyboard)</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="339"/>
+        <source>&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0//EN&quot; &quot;http://www.w3.org/TR/REC-html40/strict.dtd&quot;&gt;
+&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
+p, li { white-space: pre-wrap; }
+&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:'MS Shell Dlg 2'; font-size:8.25pt; font-weight:400; font-style:normal;&quot;&gt;
+&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-size:8pt;&quot;&gt;You have already set up a server. This computer will be controlled using the server's mouse and keyboard. There can be many clients in your setup.&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SetupWizardBase.ui" line="262"/>
         <source>Server or Client?</source>
         <translation type="finished">Klient czy Serwer?</translation>
     </message>
+</context>
+<context>
+    <name>SslCertificate</name>
     <message>
-        <location filename="res/SetupWizardBase.ui" line="140"/>
-        <source>&amp;Server (new setup)</source>
-        <translation type="finished">&amp;Serwer (nowa konfiguracja)</translation>
+        <location filename="src/SslCertificate.cpp" line="42"/>
+        <source>Failed to get profile directory.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SetupWizardBase.ui" line="153"/>
-        <source>This is the first computer you are configuring. Your keyboard and mouse are connected to this computer. This will allow you to move your mouse over to another computer's screen. There can only be one server in your setup.</source>
-        <translation type="finished">To pierwszy komputer, który konfigurujesz. Do tego komputera podłączona jest klawiatura i mysz. Pozwoli to na przesuwanie wskaźnika myszy na ekran innego komputera. W pojedynczej konfiguracji może być tylko jeden serwer.</translation>
+        <location filename="src/SslCertificate.cpp" line="141"/>
+        <source>SSL certificate generated.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SetupWizardBase.ui" line="185"/>
-        <source>&amp;Client (add to setup)</source>
-        <translation type="finished">&amp;Klient (dodaj do konfiguracji)</translation>
+        <location filename="src/SslCertificate.cpp" line="170"/>
+        <source>SSL fingerprint generated.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SetupWizardBase.ui" line="198"/>
-        <source>You have already set up a server. This is a computer you wish to control using the server's keyboard and mouse. There can be many clients in your setup.</source>
-        <oldsource>You have already set up a server. This a computer you wish to control using the server's keyboard and mouse. There can be many clients in your setup.</oldsource>
-        <translation type="finished">Serwer został już wcześniej skonfigurowany. To jest komputer, którym chcesz sterować przy użyciu klawiatury i myszy serwera. W pojedynczej konfiguracji może być wiele klientów.</translation>
-    </message>
-    <message>
-        <location filename="res/SetupWizardBase.ui" line="231"/>
-        <source>Encryption</source>
-        <translation type="finished">Szyfrowanie</translation>
-    </message>
-    <message>
-        <location filename="res/SetupWizardBase.ui" line="237"/>
-        <source>Network traffic can be easily monitored. Using encryption can reduce the risk that sensitive information will be revealed to others (for example, passwords).</source>
-        <translation type="finished">Ruch w sieci może być łatwo monitorowany. Szyfrowanie obniża ryzyko odczytania przez osoby postronne poufnych danych (np. haseł) .</translation>
-    </message>
-    <message>
-        <location filename="res/SetupWizardBase.ui" line="263"/>
-        <source>Choose a random encryption mode. The mode must be the same on both the client and server.</source>
-        <translation type="finished">Wybierz losowy tryb szyfrowania. Tryb ten musi być identyczny  na obu komputerach - na kliencie i serwerze.</translation>
-    </message>
-    <message>
-        <location filename="res/SetupWizardBase.ui" line="308"/>
-        <source>&amp;Mode:</source>
-        <translation type="finished">Tryb:</translation>
-    </message>
-    <message>
-        <location filename="res/SetupWizardBase.ui" line="391"/>
-        <source>A longer password will provide stronger encryption. It is a good idea to use 20 characters or more.</source>
-        <translation type="finished">Im dłuższe hasło tym lepsze szyfrowanie. Warto użyć co najmniej 20 znaków.</translation>
-    </message>
-    <message>
-        <location filename="res/SetupWizardBase.ui" line="415"/>
-        <source>&amp;Password:</source>
-        <translation type="finished">Hasło:</translation>
-    </message>
-    <message>
-        <location filename="res/SetupWizardBase.ui" line="474"/>
-        <source>&amp;Confirm:</source>
-        <translation type="finished">Potwierdź:</translation>
+        <location filename="src/SslCertificate.cpp" line="173"/>
+        <source>Failed to find SSL fingerprint.</source>
+        <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
@@ -1147,4 +1301,111 @@ Kliknij dwukrotnie w ekran, aby edytować jego ustawienia.</translation>
         <translation type="finished">Nieznane</translation>
     </message>
 </context>
+<context>
+    <name>WebClient</name>
+    <message>
+        <location filename="src/WebClient.cpp" line="44"/>
+        <source>An error occurred while trying to sign in. Please contact the helpdesk, and provide the following details.
+
+%1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/WebClient.cpp" line="65"/>
+        <source>Login failed, invalid email or password.</source>
+        <translation type="finished">Logowanie nie powiodło się - błędny email lub hasło.</translation>
+    </message>
+    <message>
+        <location filename="src/WebClient.cpp" line="78"/>
+        <source>Login failed, an error occurred.
+
+%1</source>
+        <translation type="finished">Logowanie nie powiodło się, wystąpił błąd. 
+%1</translation>
+    </message>
+    <message>
+        <location filename="src/WebClient.cpp" line="86"/>
+        <source>Login failed, an error occurred.
+
+Server response:
+
+%1</source>
+        <translation type="finished">Logowanie nie powiodło się, wystąpił błąd. 
+Odpowiedź serwera:
+%1</translation>
+    </message>
+    <message>
+        <location filename="src/WebClient.cpp" line="101"/>
+        <source>An error occurred while trying to query the plugin list. Please contact the help desk, and provide the following details.
+
+%1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/WebClient.cpp" line="120"/>
+        <source>Get plugin list failed, invalid user email or password.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/WebClient.cpp" line="131"/>
+        <source>Get plugin list failed, an error occurred.
+
+%1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/WebClient.cpp" line="137"/>
+        <source>Get plugin list failed, an error occurred.
+
+Server response:
+
+%1</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
+<context>
+    <name>ZeroconfService</name>
+    <message>
+        <location filename="src/ZeroconfService.cpp" line="82"/>
+        <source>zeroconf server detected: %1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/ZeroconfService.cpp" line="91"/>
+        <source>zeroconf client detected: %1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/ZeroconfService.cpp" line="99"/>
+        <location filename="src/ZeroconfService.cpp" line="130"/>
+        <source>Zero configuration service</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/ZeroconfService.cpp" line="100"/>
+        <source>Error code: %1.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/ZeroconfService.cpp" line="131"/>
+        <source>Unable to start the zeroconf: %1.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/ZeroconfService.cpp" line="140"/>
+        <source>Synergy</source>
+        <translation type="finished">Synergy</translation>
+    </message>
+    <message>
+        <location filename="src/ZeroconfService.cpp" line="141"/>
+        <source>Failed to get local IP address. Please manually type in server address on your clients</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/ZeroconfService.cpp" line="147"/>
+        <location filename="src/ZeroconfService.cpp" line="154"/>
+        <source>%1</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
 </TS>
\ No newline at end of file
